<!DOCTYPE node PUBLIC "-//freedesktop//DTD D-BUS Object Introspection 1.0//EN" "http://www.freedesktop.org/standards/dbus/1.0/introspect.dtd">
<node>
  <interface name="org.ukui.ScreenSaver">
    <signal name="SessionIdle">
    </signal>
    <signal name="SessionLockIdle">
    </signal>
    <signal name="lock">
    </signal>
    <signal name="unlock">
    </signal>
    <signal name="SecondRunParam">
    <arg name="param" type="s" />
    </signal>
    <signal name="UpdateInformation">
        <arg name="info" type="s" />
    </signal>
    <method name="Lock">
    </method>
    <method name="ShowScreensaver">
    </method>
    <method name="UnLock">
    </method>
    <method name="SetLockState">
    </method>
    <method name="ClearLockState">
    </method>
    <method name="GetLockState">
    <arg type="b" direction="out"/>
    </method>
    <method name="GetBlankState">
    <arg type="b" direction="out"/>
    </method>
    <method name="LockByBlank">
    <arg type="i" direction="in"/>
    <arg type="b" direction="out"/>
    </method>
    <method name="GetInformation">
        <arg type="s" direction="in"/>
        <arg type="s" direction="out"/>
    </method>
    <method name="SetInformation">
        <arg type="s" direction="in"/>
        <arg type="i" direction="out"/>
    </method>
    <method name="CheckAppVersion">
        <arg type="b" direction="out"/>
    </method>
    <method name="CheckTurnOnScreen">
    </method>
    <method name="SessionTools">
    </method>
    <method name="Logout">
    </method>
    <method name="SwitchUser">
    </method>
    <method name="SwitchToUser">
        <arg type="s" direction="in"/>
    </method>
    <method name="Reboot">
    </method>
    <method name="PowerOff">
    </method>
    <method name="Suspend">
    </method>
    <method name="Hibernate">
    </method>
    <method name="AppBlockWindow">
    <arg type="s" direction="in"/>
    </method>
    <method name="MultiUserBlockWindow">
    <arg type="s" direction="in"/>
    </method>
  </interface>
</node>
